/*
Module : HelixAPI.H
Purpose: "C" style interface to CHelix
Created: PJN / 01-12-2003

Copyright (c) 2003 - 2006 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise) 
when your product is released in binary form. You are allowed to modify the source code in any way you want 
except you cannot modify the copyright details at the top of each module. If you want to distribute source 
code with your application, then you are only allowed to distribute versions released by the author. This is 
to maintain a single distribution point for the source code. 

*/

#ifndef __HELIXAPI_H__
#define __HELIXAPI_H__


#ifdef __cplusplus
extern "C" {
#endif

DECLARE_HANDLE( HHELIX );

HHELIX WINAPI HelixOpen();
BOOL   WINAPI HelixClose(HHELIX hEntry);
BOOL   WINAPI HelixSetKey(HHELIX hEntry, const BYTE* pbyKey, DWORD dwKeyLength);
BOOL   WINAPI HelixEncrypt(HHELIX hEntry, const BYTE* pbyPlainText, DWORD dwPlainTextSize, const BYTE* pNonce, BYTE* pbyCipherText, BYTE* pMac);
DWORD  WINAPI HelixDecrypt(HHELIX hEntry, const BYTE* pbyCipherText, DWORD dwCipherTextSize, const BYTE* pNonce, const BYTE* pMac, BYTE* pbyPlainText);

#ifdef __cplusplus
}
#endif


#endif //__HELIXAPI_H__
